<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$id = remove_junk($db->escape($_POST['produccion']));
    $maquinaria = remove_junk($db->escape($_POST['maquinaria']));
    $implemento = remove_junk($db->escape($_POST['implemento']));
    $servicio = remove_junk($db->escape($_POST['servicio']));
    $operacion = remove_junk($db->escape($_POST['operacion']));
    $f_produccion = remove_junk($db->escape($_POST['f_produccion']));
    $horas_ope = remove_junk($db->escape($_POST['horas_ope']));
    $horas_e_ope = remove_junk($db->escape($_POST['horas_e_ope']));
    $despacho_gln = remove_junk($db->escape($_POST['despacho_gln']));
    $h_inicial = remove_junk($db->escape($_POST['h_inicial']));
    $h_final = remove_junk($db->escape($_POST['h_final']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $observacion = remove_junk($db->escape($_POST['observacion']));
    $fechaEntera = strtotime($f_produccion);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    $semana = date("W", $fechaEntera);
   
   
   

    $consultaId = $db->query("SELECT * FROM operacion WHERE id = $operacion");



 
    $query ="UPDATE produccionmi SET FechaRegistroProduccionMI='$f_produccion',HorasProduccion='$horas_ope',HorometroInicial='$h_inicial',HorometroFinal='$h_final',ObsProduccionMI='$observacion',IdTipoServicioMI='$servicio',IdActivo='$maquinaria',IdOperacion='$operacion',IdResponsableActivo='$responsable',AnioProduccionMI='$anio',MesProduccionMI='$mes',IdImplemento='$implemento',DespachoMI='$despacho_gln',HorasExtrasMI='$horas_e_ope',SemanaMI='$semana' WHERE id= $id";

    if ($db->num_rows($consultaId) == 0) {
        echo "no existe";
    }
    else{
        if ($db->query($query)) {
            echo 'success';
        } else {
            echo 'fail';
        }
    }
} 


